Bug 187268 - permissions on TLS_LICENSE should be 0644, not 0755
Summary: permissions on TLS_LICENSE should be 0644, not 0755
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: postfix   
(Show other bugs)
Version: 5
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-29 17:48 UTC by Andrew J. Schorr
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-24 13:12:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix the file attributes for %{postfix_config_dir}/TLS_LICENSE (654 bytes, patch)
2006-03-29 17:48 UTC, Andrew J. Schorr
no flags Details | Diff

Description Andrew J. Schorr 2006-03-29 17:48:23 UTC
Description of problem: postfix.spec file has wrong file
permissions for %{postfix_config_dir}/TLS_LICENSE (should
be 0644, not 0755).


Version-Release number of selected component (if applicable):


How reproducible: When you verify the rpm (rpm --verify postfix),
it complains that the mode is incorrect on /etc/postfix/TLS_LICENSE:

.M......    /etc/postfix/TLS_LICENSE



Steps to Reproduce:
1. rpm --verify postfix
2. ls -l /etc/postfix/TLS_LICENSE
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Andrew J. Schorr 2006-03-29 17:48:23 UTC
Created attachment 127007 [details]
Fix the file attributes for %{postfix_config_dir}/TLS_LICENSE

Comment 2 Curtis Doty 2006-08-02 02:02:17 UTC
This is such an easy fix. Why has it not shown up in rawhide in over 4 months?

# rpm -V postfix
.M......    /etc/postfix/TLS_LICENSE

Of course postfix will fix your bug upon install. But please make the packaged
perms match what the postfix author intends.

# grep TLS_LICENSE /etc/postfix/postfix-files
$config_directory/TLS_LICENSE:f:root:-:644

Comment 3 Thomas Woerner 2007-07-24 13:12:21 UTC
Fixed in devel in package postfix-2.3.3-1 or newer.


Note You need to log in before you can comment on or make changes to this bug.